RankHub

API 目前处于 Early Preview 阶段, 可能存在诸多不完善与错误之处,欢迎加群交流反馈:加入官方交流群(1073434398)

修改档案(展示字段/可见性)

PATCH
/v1/games/{game}/profiles/{profileId}

只改展示与可见性字段;native 里出现身份字段且与现有值不同 ⇒ 400(身份不可改)。

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

game*string

游戏键(小写)

Value in"maimai""chunithm""arcaea""phigros""milthm""notanote""musedash""rizline""osu""orzmic"
profileId*string
Formatuuid

Request Body

application/json
  1. body

PATCH /v1/games/{game}/profiles/{profileId}:至少给一个字段

Properties1 <= properties
name?string

展示名

Lengthlength <= 64
isPublic?boolean

是否允许别人看这张档案

native?

游戏原生玩家对象(只取展示字段;身份字段必须与现有值一致)

Response Body

更新后的档案

application/json
  1. response
code*string
message*string
description?string
data*
requestId*string
Example Request
curl -X PATCH 'https://api.rankhub.cc/v1/games/maimai/profiles/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "code": "string",  "message": "string",  "description": "string",  "data": {    "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",    "game": "maimai",    "player": {      "name": "string",      "rating": 0,      "native": {}    },    "isPublic": true,    "origin": "user",    "createdByClientId": "string",    "syncCapable": true,    "lastSyncedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "requestId": "string"}